Groovy Documentation

## org.codehaus.groovy.grails.web.transform
[Java] Class LineNumberTransform

    java.lang.Object
      org.codehaus.groovy.grails.web.transform.LineNumberTransform

All Implemented Interfaces:
  org.codehaus.groovy.transform.ASTTransformation

    @GroovyASTTransformation(phase=CompilePhase.SEMANTIC_ANALYSIS)
    public class LineNumberTransform

Convert line number information to that based on the line number array passed into the line number array in the LineNumber annotation.

created:
  Jul 22, 2010

Authors:
  Andrew Eisenberg

Method Summary
`void` | `visit(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### visit

    public void visit(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)

Groovy Documentation